// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface PhaseRecloseActionOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.PhaseRecloseAction)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * 3 Phase control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phs3 = 1;</code>
   * @return Whether the phs3 field is set.
   */
  boolean hasPhs3();
  /**
   * <pre>
   * 3 Phase control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phs3 = 1;</code>
   * @return The phs3.
   */
  openfmb.commonmodule.Optional_RecloseActionKind getPhs3();
  /**
   * <pre>
   * 3 Phase control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phs3 = 1;</code>
   */
  openfmb.commonmodule.Optional_RecloseActionKindOrBuilder getPhs3OrBuilder();

  /**
   * <pre>
   * Phase A control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phsA = 2;</code>
   * @return Whether the phsA field is set.
   */
  boolean hasPhsA();
  /**
   * <pre>
   * Phase A control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phsA = 2;</code>
   * @return The phsA.
   */
  openfmb.commonmodule.Optional_RecloseActionKind getPhsA();
  /**
   * <pre>
   * Phase A control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phsA = 2;</code>
   */
  openfmb.commonmodule.Optional_RecloseActionKindOrBuilder getPhsAOrBuilder();

  /**
   * <pre>
   * Phase B control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phsB = 3;</code>
   * @return Whether the phsB field is set.
   */
  boolean hasPhsB();
  /**
   * <pre>
   * Phase B control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phsB = 3;</code>
   * @return The phsB.
   */
  openfmb.commonmodule.Optional_RecloseActionKind getPhsB();
  /**
   * <pre>
   * Phase B control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phsB = 3;</code>
   */
  openfmb.commonmodule.Optional_RecloseActionKindOrBuilder getPhsBOrBuilder();

  /**
   * <pre>
   * Phase C control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phsC = 4;</code>
   * @return Whether the phsC field is set.
   */
  boolean hasPhsC();
  /**
   * <pre>
   * Phase C control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phsC = 4;</code>
   * @return The phsC.
   */
  openfmb.commonmodule.Optional_RecloseActionKind getPhsC();
  /**
   * <pre>
   * Phase C control.
   * </pre>
   *
   * <code>.commonmodule.Optional_RecloseActionKind phsC = 4;</code>
   */
  openfmb.commonmodule.Optional_RecloseActionKindOrBuilder getPhsCOrBuilder();
}
